Vulnerability CVE-2013-6480


Published: 2014-01-07

Description:
Libcloud 0.12.3 through 0.13.2 does not set the scrub_data parameter for the destroy DigitalOcean API, which allows local users to obtain sensitive information by leveraging a new VM.

See advisories in our WLB2 database:
Topic
Author
Date
Low
Libcloud doesn\'t send scrub_data query parameter
Tomaz Muraus
02.01.2014

Type:

CWE-200

(Information Exposure)

CVSS2 => (AV:L/AC:L/Au:N/C:P/I:N/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
2.1/10
2.9/10
3.9/10
Exploit range
Attack complexity
Authentication
Local
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
None
None
Affected software
Apache -> Libcloud 

 References:
http://libcloud.apache.org/security.html
http://lists.opensuse.org/opensuse-updates/2014-02/msg00015.html
http://www.securityfocus.com/archive/1/530624/100/0/threaded
http://www.securityfocus.com/bid/64617
https://digitalocean.com/blog_posts/transparency-regarding-data-security
https://github.com/fog/fog/issues/2525

Copyright 2020, cxsecurity.com

 

Back to Top